
drop table if exists PERF_NEED_FILE;
create table PERF_NEED_FILE
( ID_NEED_FILE BIGINT NOT NULL AUTO_INCREMENT
, FILE_NAME VARCHAR(100) NOT NULL
, S3_PATH VARCHAR(1000) NOT NULL
, ULTIMA_LAVORAZIONE DATETIME NOT NULL
, NUMERO_LAVORAZIONI INTEGER NOT NULL
, NUMERO_RECORD BIGINT
, NUMERO_RECORD_OK BIGINT
, ESITO_LAVORAZIONE VARCHAR(100)
, ERRORE_LAVORAZIONE TEXT
, primary key (ID_NEED_FILE)
, unique (FILE_NAME)
);

drop table if exists PERF_NEED_RECORD;
create table PERF_NEED_RECORD
( ID_NEED_FILE BIGINT NOT NULL
, NUMERO_PROGRAMMA_MUSICALE BIGINT NOT NULL
, ULTIMA_LAVORAZIONE DATETIME NOT NULL
, NUMERO_LAVORAZIONI INTEGER NOT NULL
, ESITO_LAVORAZIONE INTEGER NOT NULL
, primary key (ID_NEED_FILE, NUMERO_PROGRAMMA_MUSICALE)
);
create index PERF_NEED_RECORD_IDX_01 on PERF_NEED_RECORD (NUMERO_PROGRAMMA_MUSICALE);

